Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

java-atk-wrapper-0.33.2-lp150.2.2 RPM for ppc64le

From OpenSuSE Ports Leap 15.0 for ppc64le

Name: java-atk-wrapper Distribution: openSUSE Leap 15.0
Version: 0.33.2 Vendor: openSUSE
Release: lp150.2.2 Build date: Wed May 9 23:08:46 2018
Group: Development/Libraries/Java Build host: obs-power8-02
Size: 276252 Source RPM: java-atk-wrapper-0.33.2-lp150.2.2.src.rpm
Packager: https://bugs.opensuse.org
Url: http://git.gnome.org/browse/java-atk-wrapper/
Summary: Java ATK Wrapper
Java ATK Wrapper is a implementation of ATK by using JNI technic. It
converts Java Swing events into ATK events, and send these events to
ATK-Bridge.

JAW is part of the Bonobo deprecation project. It will replaces the
former java-access-bridge.
By talking to ATK-Bridge, it keeps itself from being affected by the
change of underlying communication mechanism.

Provides

Requires

License

LGPL-2.0+

Changelog

* Tue Jan 02 2018 fstrba@suse.com
  - Added patch:
    * jaw-javah.patch
      + Do not search for javah, since it is not needed during the
      build
* Wed Nov 08 2017 fstrba@suse.com
  - Added patch:
    * jaw-gdk.patch
      + Remove requirement of gdk3. It is not really needed.
* Thu Oct 26 2017 fstrba@suse.com
  - Added patches:
    * jaw-quotes.patch
      + Add quotes when adding CFLAGS to JAW_CFLAGS in order to avoid
      that first of the CFLAGS be evaluated as a command
    * jaw-java_required.patch
      + Modify java requirement to 1.7, since the code cannot be
      built with source level 1.6 due to a diamond operator
  - Modified patch:
    * jaw-avoid-version.patch
      + Completely discard all libtool versioning of the library
      + This library is not linked, only loaded by the java code and
      as such, it needs only .so extension
* Tue Oct 24 2017 fstrba@suse.com
  - Remove the distributed AtkWrapper.java file before building,
    so that a correct version with the correct path to xprops can be
    generated during the build from AtkWrapper.java.in
* Tue Oct 10 2017 fstrba@suse.com
  - Added patch:
    * jaw-avoid-version.patch
    - Avoid libtool generated symlinks for the native library,
      since it is loaded by System.loadLibrary which expects the
      library finish with .so anyway.
* Wed Sep 06 2017 fstrba@suse.com
  - Upgrade to upsteam 0.33.2
  - Removed patch:
    * java-atk-wrapper-fortify-decl.patch
      + Integrated upsteam
  - Add manifest.txt missing from the tarball
  - Force source/bytecode target to 1.7.
* Fri Oct 17 2014 fstrba@suse.com
  - Upgrade to upstream 0.30.5
  - Removed patch java-atk-wrapper-source-target.patch
    * No need to apply it since we can chose options for javac from
      configure line
  - Force source/bytecode target to 1.5 at configure time
* Sat May 03 2014 fstrba@suse.com
  - Added patch:
    * java-atk-wrapper-source-target-patch: pass options to javac to
      produce bytecode compatible with java 1.5 and higher.
  - Allow to build on SLE11
    * xprop is in xorg-x11 package
* Thu Dec 12 2013 mvyskocil@suse.com
  - Initial SUSE packaging of java-awt-wrapper
    * java-atk-wrapper-fortify-decl.patch to fix missing headers

Files

/usr/lib64/java-atk-wrapper
/usr/lib64/java-atk-wrapper/java-atk-wrapper.jar
/usr/lib64/java-atk-wrapper/libatk-wrapper.so
/usr/share/doc/packages/java-atk-wrapper
/usr/share/doc/packages/java-atk-wrapper/AUTHORS
/usr/share/doc/packages/java-atk-wrapper/COPYING.LESSER
/usr/share/doc/packages/java-atk-wrapper/HOWTO
/usr/share/doc/packages/java-atk-wrapper/NEWS
/usr/share/doc/packages/java-atk-wrapper/README


Generated by rpm2html 1.8.1

Fabrice Bellet, Tue Nov 9 10:26:55 2021